shorewall (2.2.5-2) unstable; urgency=low

  * Updated german debconf translation (Closes: #311849).
  * Updated french debconf translation (Closes: #312046).
  * Updated czech debconf translation (Closes: #313257).

 -- Lorenzo Martignoni <martignlo@debian.org>  Sun, 12 Jun 2005 22:40:14 +0200

shorewall (2.2.5-1) unstable; urgency=low

  * New upstream release (Closes: #310525).
  * The presence of the configuration file rfc1918 is checked during
    configuration in order to prevernt anomalous behaviour as the file had
    a different role in the past (Closes: #308380).

 -- Lorenzo Martignoni <martignlo@debian.org>  Wed, 25 May 2005 21:06:25 +0200

shorewall (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Add actions to allow and deny traffic to and to Edonkey network
    (Closes: #305988).
  * Add actions to allow and deny traffic to and to Gnutella network
    (Closes: #306116).
  * The list of unallocated addresses (bogons) has been updated but the
    problem of out of date list persist because the list of unallocated
    addreses is updated frequently and it is not possible to make a new
    debian package on every update. Please read README.Debian for an
    explanation about how to update the list automatically without waiting
    for a new package release (Closes: #302723).

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Wed,  4 May 2005 20:45:13 +0200

shorewall (2.2.3-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri,  8 Apr 2005 20:29:31 +0200

shorewall (2.2.2-2) unstable; urgency=low

  * Added debconf Czech translation provided by Miroslav Kure (Closes: 301622)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun, 27 Mar 2005 14:55:08 +0200

shorewall (2.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #299747)
  * Added debconf french translation (Closes: #298266)
  * As suggested by fenio@debian.org default shorewall configuration,
    shipped in /usr/share/doc/shorewall/default-config, are not yet
    compressed to avoid confusion (previously some were compressed and
    others were not) (Closes: #270338)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Thu, 17 Mar 2005 10:08:33 +0100

shorewall (2.2.1-1) unstable; urgency=low

  * New upstream release
  * Upstream applyed patch submitted by Juergen Kreileder to fix a bug in
    logging (Closes: #294842)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sat, 19 Feb 2005 15:09:47 +0100

shorewall (2.2.0-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Thu, 10 Feb 2005 23:28:26 +0100

shorewall (2.1.99.rc04-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Thu, 13 Jan 2005 23:15:02 +0100

shorewall (2.0.15-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Thu, 13 Jan 2005 22:53:28 +0100

shorewall (2.0.14-1) unstable; urgency=low

  * New upstream release
  * The script "tunnel" is now installed under
    /usr/share/doc/shorewall/default-config/ (Closes: #287829)
  * Fixed some typos in README.Debian (Closes: #287868, #288548)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Thu,  6 Jan 2005 00:13:04 +0100

shorewall (2.0.13-2) unstable; urgency=low

  * Updated README.Debian to better explain the role of /etc/shorewall and
    /usr/share/shorewall
  * Fixed a typo in README.Debian (Closes: #286196)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sat, 18 Dec 2004 12:29:18 +0100

shorewall (2.0.13-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri, 17 Dec 2004 10:51:24 +0100

shorewall (2.0.12-1) unstable; urgency=low

  * New upstream release
  * The file modules is now installed within /usr/share/doc/default-config
    (Closes: #282916)
  * The bogons file that provides a list of IP addresses reserved by IANA
    must be updated to reflect the most up-to-date IANA allocation. The
    file was only updated by a new version of the package and that could
    be a highly dangerous for the future stable release. The package now
    provides a script to automatically update the bogons list. For more
    information please see README.Debian (Closes: #282268)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sat,  4 Dec 2004 19:56:53 +0100

shorewall (2.0.11-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Tue, 23 Nov 2004 00:15:46 +0100

shorewall (2.0.10-2) unstable; urgency=low

  * Fixed a typo in debian/shorewall.dirs and removed the empty directory
    /usr/share/doc/shorewall/defaul-config/ (Closes: #279836).
  * Updated bogons to reflect recent allocations by the IANA.
  
 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun, 14 Nov 2004 23:53:59 +0100

shorewall (2.0.10-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Mon, 25 Oct 2004 21:53:39 +0200

shorewall (2.0.9-2) unstable; urgency=low

  * Converted NEWS.Debian into changelog format

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri, 15 Oct 2004 15:53:32 +0200

shorewall (2.0.9-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri, 15 Oct 2004 15:13:22 +0200

shorewall (2.0.8-6) unstable; urgency=low

  * updated debian/rules in order to install packages file trought dh_install

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Wed, 22 Sep 2004 23:52:36 +0200

shorewall (2.0.8-5) unstable; urgency=high

  * fixed a typo in action.AllowRsync that caused an error during
    shorewall startup (Closes: #272298)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Mon, 20 Sep 2004 19:44:48 +0200

shorewall (2.0.8-4) unstable; urgency=high

  * The wait4ifup script now uses only POSIX features (Closes:#270327) 

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun, 12 Sep 2004 20:40:27 +0200

shorewall (2.0.8-3) unstable; urgency=low

  * Added action to allow Subversion traffic (Closes: #268858)
  * Added action to allow CVS pserver traffic (Closes: #268855)
  * Added action to allow MySQL traffic (Closes: #268859)
  * Added action to allow PostrgreSQL traffic (Closes: #268860)
  * Added action to allow Rsync traffic (Closes: #268862)
  * Added action to allow Distributed Compiler traffic (Closes: #268854)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Mon, 30 Aug 2004 22:41:35 +0200

shorewall (2.0.8-2) unstable; urgency=high

  * Added action.AllowSMBswat to allow connection to Swat (Samba web
    configuration tool) (Closes: #268430)
  * The script wait4ifup was not installed by debian/rules, that prevents
    shorewall startup from init script. It is now fixed (Closes: #268740)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun, 29 Aug 2004 14:57:52 +0200

shorewall (2.0.8-1) unstable; urgency=low

  * New upstream release
  * The patches needed to suit the package to Debian are now applied through
    dpatch. Previously they were applied by bash scripts wrote by me.
  * Created a README.Debian containing information about the first
    configuration of shorewall on Debian systems and configuration tips for
    PPP connections.  This file replaces Debian_install.txt and README.ppp.
    The typo in Debian_install.txt has been fixed (Closes: #268232)
  * Added action.AllowBittorrent to allow connection to bittorrent ports
    (Closes: #265511)
  * Updated conflicting packages
  * Added kernel-image-2.6 to suggested packages (Closes: #268235)
  * The package now installs the configuration file shorewall.conf 
    into /etc/shorewall/ as this file, seldom, requires modification
    (Closes: #261545)
  * Updated /usr/share/shorewall/bogons to reflect current IANA addresses
    allocation.
  * Added German (de) debconf template translation provided by Erik Schanze
    (Closes: #268319)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri, 27 Aug 2004 00:51:24 +0200

shorewall (2.0.7-2) unstable; urgency=low

  * Updated Brazilian Portuguese (pt_BR) debconf template translation. Patch
    provided by Andre Luis Lopes (Closes: #264299).

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun, 08 Aug 2004 17:12:42 +0200

shorewall (2.0.7-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri, 30 Jul 2004 10:28:11 +0200

shorewall (2.0.6-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun, 18 Jul 2004 10:24:57 +0200

shorewall (2.0.5-2) unstable; urgency=low

  * Updated version number (previous version reports 2.0.4 instead of 2.0.5)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun, 11 Jul 2004 19:13:47 +0200

shorewall (2.0.5-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun, 11 Jul 2004 12:44:49 +0200

shorewall (2.0.3-1) unstable; urgency=high

  * New upstream release
  * Use mktemp to create temporary files in order to avoid race conditions and
    symlink attacks when an admin runs 'shorewall show'. The bug has been
    solved in the upstream release (Closes: #256377)
  * Restrict access to /etc/shorewall and /var/lib/shorewall to only root
    users. This avoids providing access to local firewall rulesets to users
    which are not allowed to view them. This will only apply to new
    installations, however. (patch submitted by jfs@computer.org)
  * Added new actions for syslogd, ldap, icq, amada, smtp (Closes: #256840)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Wed, 30 Jun 2004 10:29:47 +0200

shorewall (2.0.2-6) unstable; urgency=low

  *  Fixed the initscirpt, there were missing two echo commands 
     (Closes: #254946)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri, 18 Jun 2004 22:23:25 +0200

shorewall (2.0.2-5) unstable; urgency=low

  *  Added action.AllowSPAMD to allow connection to spamassassin daemon
     (Closes: #254260)
  *  Addedd Debian_install.txt to illustrate the setup direction for a fresh
     configuration of the package (Closes: #254060)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Tue, 15 Jun 2004 15:29:43 +0200

shorewall (2.0.2-4) unstable; urgency=low

  * Applied upstream patch (2.0.2f)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Tue, 08 Jun 2004 00:58:40 +0200

shorewall (2.0.2-3) unstable; urgency=low

  * Applied upstream patches (2.0.2e)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Wed, 02 Jun 2004 19:07:34 +0200

shorewall (2.0.2-2) unstable; urgency=low

  * Applied upstream patches (2.0.2c and 2.0.2d)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun, 30 May 2004 23:31:00 +0200

shorewall (2.0.2-1) unstable; urgency=low

  * New upstream release
  * Updated the manpage

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Tue, 18 May 2004 22:59:56 +0200

shorewall (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri, 30 Apr 2004 12:50:39 +0200

shorewall (2.0.0-5) unstable; urgency=low

  * added NEWS.Debian. It contains information about the new features
    introduced in the new release and about how to upgrade an already
    configured shorewall (Closes: #243403)
  * updated french debconf templates translation (Closes: #243644)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Thu, 15 Apr 2004 10:01:48 +0200

shorewall (2.0.0-4) unstable; urgency=low

  * bug #241495 was still present as dh_installinit looks for the initscript 
    inside debian. It should be really fixed now.

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Mon,  5 Apr 2004 23:50:38 +0200

shorewall (2.0.0-3) unstable; urgency=high

  * init script wasn't installed due to a typo in debian/rules. It is now
    fixed (Closes: #241495)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Thu,  1 Apr 2004 21:44:55 +0200

shorewall (2.0.0-2) unstable; urgency=low

  * Applied upstream patches (2.0.0a)
  * Applied upstream patches (2.0.0b)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Tue, 23 Mar 2004 15:54:28 +0100

shorewall (2.0.0-1) unstable; urgency=low

  * New upstream releases

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sat, 20 Mar 2004 14:07:05 +0100

shorewall (1.4.10-3) unstable; urgency=low

  * Applied upstream patch 1.4.10d

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sat, 20 Mar 2004 14:19:15 +0100

shorewall (1.4.10-2) unstable; urgency=low

  * Applied upstream patch 1.4.10b
  * Applied upstream patch 1.4.10c

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Wed, 18 Feb 2004 10:30:01 +0100

shorewall (1.4.10-1) unstable; urgency=low

  * new upstream release
  * the source package has been splitted into shorewall and shorewall-doc
    because the upstream package has been splitted too.  shorewall-doc is now
    a debian native package containing the documentation in html, pdf and some
    examples (Closes: #222339)
  * the initscript failed to load required function when the INCLUDE directive
    was used in one of the configuration files. The problem was probably in
    the upstream package, with the new version it doesn't fail anymore
    (Closes: #230828)
  * the new version of the package includes an updated rfc1918 that reflects
    the current list of reserved network addresses (Closes: #230863)
  * applied patches from version 1.4.10a

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun,  8 Feb 2004 23:51:16 +0100

shorewall (1.4.8.stable-2) unstable; urgency=low

  * applied upstream patch to fix the SNAT/DNAT bug

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Mon, 22 Dec 2003 23:11:04 +0100

shorewall (1.4.8.stable-1) unstable; urgency=low

  * New upstream release (1.4.8)
  * dash support was fixed in the upstream release (Closes: #218350)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sat, 22 Nov 2003 17:51:16 +0100

shorewall (1.4.8.rc2-1) unstable; urgency=low

  * New upstream beta release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun,  2 Nov 2003 12:40:40 +0100

shorewall (1.4.8.rc1-1) unstable; urgency=low

  * New upstream beta release release

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Fri, 31 Oct 2003 00:37:05 +0100

shorewall (1.4.7.stable-3) unstable; urgency=low

  * applied upstream patches: 1.4.7c

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sun, 26 Oct 2003 23:05:54 +0100

shorewall (1.4.7.stable-2) unstable; urgency=low

  * applied upstream patches: 1.4.7a and 1.4.7b

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sat, 25 Oct 2003 12:24:26 +0200

shorewall (1.4.7.stable-1) unstable; urgency=low

  * New upstream release
  * fixed debian/rules to install common.def (Closes: #208959)
  * configuration files in /etc/shorewall are not installed by dpkg and so
    they are not marked as configuration files. They will be installed only
    the first time. During upgrade they are not touched, thus avoiding dpkg to
    prompt the user for replacing them and to leave the box with an invalid
    configuration. The default configuration files are always installed in
    /usr/share/doc/shorewall/default-config. (Closes: #197132)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Sat, 11 Oct 2003 12:22:33 +0200

shorewall (1.4.7b1-1) unstable; urgency=low

  * New upstream beta release 
  * the new version works with kernel 2.6.x (Closes: #201186)
  * patched the contrib script "wait4ifup" in order avoid problem when calling
    "sleep 0.5". If the system uses a different locale the script could fail
    because in some country ',' is used instead of '.'.  The script now sets
    internally LANG to C (Closes: #203201)

 -- Lorenzo Martignoni <lorenzo.martignoni@poste.it>  Wed, 27 Aug 2003 09:50:33 +0200

shorewall (1.4.5-1) unstable; urgency=low

  * New upstream release
  * applied the patch from bubulle@debian.org to fix a typo in
    shorewall.templates, po/it.po and po/pt_BR.po (Closes: #197300)
  * included debconf french templates translation (submitted by
    bubulle@debian.org)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon, 23 Jun 2003 17:28:55 +0200

shorewall (1.4.4b-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Thu, 29 May 2003 22:39:29 +0200

shorewall (1.4.4-1) unstable; urgency=low

  * New upstream release
  * applied the patch from andrelop@ig.com.br to add the support for
    po-debconf (Closes: #190054)
  * added debconf template translation in italian langage

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Wed, 28 May 2003 00:13:15 +0200

shorewall (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Wed, 21 May 2003 20:46:53 +0200

shorewall (1.4.2-1) unstable; urgency=low

  * New upstream release (fixes a bug in the previous release: it was
    impossible to make the firewall route traffic from a group of hosts back
    to itself).

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sun, 13 Apr 2003 21:32:08 +0200

shorewall (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * patched /usr/share/shorewall/firewall in order to get 'traceroute' to work
    correctly (Closes: #186727).

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sat,  5 Apr 2003 17:38:14 +0200

shorewall (1.4.0-2) unstable; urgency=medium

  * Modified shorewall.config and shorewall.postinst to handle properly the
    configuration through debconf and to avoid errors during installation
    (Closes: #185746).

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Tue, 25 Mar 2003 22:08:58 +0100

shorewall (1.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #185252). There are some changes from the
    previous release, take a look at the "releasenotes.txt" file.

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Thu,  6 Mar 2003 13:59:52 +0100

shorewall (1.3.14stable.a-1) unstable; urgency=medium

  * New upstream release to fix some bugs in version 1.3.14.

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Thu, 13 Mar 2003 10:50:31 +0100

shorewall (1.3.14stable-4) unstable; urgency=low

  * Fixed the initscript to add support for unconfigured ppp interfaces. Read
    the file /usr/share/doc/shorewall/README.ppp for more information about
    how to use this feature (Closes: #175382).

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Wed, 26 Feb 2003 11:27:57 +0100

shorewall (1.3.14stable-3) unstable; urgency=low

  * Added a missing image in shorewall-doc (Closes: #181291)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon, 17 Feb 2003 11:00:02 +0100

shorewall (1.3.14stable-2) unstable; urgency=low

  * updated rfc1918 to reflect the recent IANA allocation of 222/8 and 223/8

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri, 14 Feb 2003 09:49:12 +0100

shorewall (1.3.14stable-1) unstable; urgency=low

  * new upstream release
  * removed a bashism found in the preinst script

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon, 10 Feb 2003 12:43:42 +0100

shorewall (1.3.14rc1-1) unstable; urgency=low

  * new release (release candidate)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Tue,  4 Feb 2003 22:59:15 +0100

shorewall (1.3.14beta2-1) unstable; urgency=low

  * new beta release
  * added a warning message in the preinst script to inform users about the
    new way to handle ICMP.

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Wed, 29 Jan 2003 19:34:39 +0100

shorewall (1.3.14beta1-1) unstable; urgency=low

  * new beta release
  * the documentation in pdf format is not ready yet because this is a beta
    release, it will be included in shorewall-doc in the final release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon, 27 Jan 2003 12:09:12 +0100

shorewall (1.3.13-3) unstable; urgency=high

  * fixed a bug in shorewall.conf: SHARED_DIR was pointing to the old location
    of shorewall scripts, now moved to /usr/share/shorewall/ (Closes: #178109)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon, 27 Jan 2003 11:19:23 +0100

shorewall (1.3.13-2) unstable; urgency=low

  * applied the errata patch to fix the "firewall" script

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Wed, 22 Jan 2003 10:01:34 +0100

shorewall (1.3.13-1) unstable; urgency=low

  * New upstream release
  * SUBSYSLOCK is now set to "" as /etc/init.d/shorewall doesn't need it

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Wed, 15 Jan 2003 23:10:38 +0100

shorewall (1.3.12stable-4) unstable; urgency=low

  * added manpage for the commandline of shorewall (Closes: #168419)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri, 10 Jan 2003 00:32:26 +0100

shorewall (1.3.12stable-3) unstable; urgency=low

  * /var/state/ does no longer exist. The SUBSYSLOCK variable of
    shorewall.conf is set to /var/lib/shorewall/state according to FSH
    (Closes: #174776).
  * /usr/lib/shorewall contained only architecture independent files, those
    files are moved to /usr/share/shorewall according to FSH (Closes: #173266)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon,  6 Jan 2003 21:07:11 +0100

shorewall (1.3.12stable-2) unstable; urgency=low

  * included in shorewall-doc some configuration examples (Closes: #175411)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon,  6 Jan 2003 20:14:27 +0100

shorewall (1.3.12stable-1) unstable; urgency=low

  * new stable release
  * the documentation in pdf format is not included because is isn't ready at
    the moment, it will be included in the next debian release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sat, 28 Dec 2002 00:04:18 +0100

shorewall (1.3.12beta3-1) unstable; urgency=low

  * new beta release
  * fixed copyright notice, now the file contains only a reference to the text
    of the license
  * removed the dependency on awk as suggested by lintian

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri, 27 Dec 2002 18:57:53 +0100

shorewall (1.3.11a-2) unstable; urgency=high

  * Shorewall is now started just after the networking setup in order to avoid
    a temporal window in which firewalled services are not protected because
    the firewall isn't started yet (Closes: #172607).
  * The default configuration file, /etc/shorewall.conf, now disables the
    support for NAT, ip forwarding, and traffic shaping (Closes: #172362).

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri, 13 Dec 2002 17:15:33 +0100

shorewall (1.3.11a-1) unstable; urgency=low

  * Upstream author fixed the problem with the "echo" command in order to
    avoid escape sequences that weren't supported by bash clones 
    (Closes: #168416)
  * added the documentation in pdf format into shorewall-doc (Closes: #169666)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Wed,  4 Dec 2002 20:46:27 +0100

shorewall (1.3.10-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sun, 10 Nov 2002 13:59:10 +0100

shorewall (1.3.9b-1) unstable; urgency=low

  * New beta release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Thu, 10 Oct 2002 22:02:41 +0200

shorewall (1.3.9a-1) unstable; urgency=low

  * New beta release
  * fixed firewall script in order to avaid problem via non bash shell (the
    upstream author applied the patch submitted by Chris Johnsen
    <epoch@pobox.com>) (Closes: #162116)
  * updated dependecies, original-awk can do the job so any package providing
    awk statifies the dependency (Closes: #162117)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sat,  5 Oct 2002 17:19:06 +0200

shorewall (1.3.9-1) unstable; urgency=low

  * New upstream release
  * Moved firewall and functions from /var/lib/shorewall to /usr/lib/shorewall
    (Closes: #162568).

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri, 27 Sep 2002 22:22:01 +0200

shorewall (1.3.8-2) unstable; urgency=low

  * The startup is now denied via /etc/default/shorewall.

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri, 20 Sep 2002 20:01:57 +0200

shorewall (1.3.8-1) unstable; urgency=low

  * New upstream release
  * Added a warning massage plus a exit call in the init script in order to
    prevent an automatic startup of the firewall with the default
    configuration, that would block any kind of traffic to the host.  
    (Closes: #160211)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Wed, 18 Sep 2002 18:05:01 +0200

shorewall (1.3.7c-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri,  6 Sep 2002 11:34:06 +0200

shorewall (1.3.7b-2) unstable; urgency=low

  * fixed debian/postinst to remove the wrongly placed routestopped
    configuration file
  * debian/postinst also removes the directory /var/state/shorewall, it must
    be a file instead of a directory

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Tue, 27 Aug 2002 11:09:49 +0200

shorewall (1.3.7b-1) unstable; urgency=low

  * New beta release
  * added little descriptions to previous entry of debian/changelog
  * fixed the value of SUBSYSLOCK in /etc/shorewall/shorewall.conf becuse it was
  pointing  to a wrong directory. Now it points to  /var/state/shorewall.

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon, 26 Aug 2002 13:59:34 +0200

shorewall (1.3.7a-1) unstable; urgency=low

  * New beta release
  * Fixed a type in debian/rules, routestopped was installed in /etc instead
      of /etc/shorewall (Closes: #157876)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sat, 24 Aug 2002 15:26:37 +0200

shorewall (1.3.6-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Wed,  7 Aug 2002 12:56:14 +0200
 
shorewall (1.3.5b-1) unstable; urgency=low

  * new beta release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sun,  4 Aug 2002 12:31:27 +0200

shorewall (1.3.5-2) unstable; urgency=low

  * New beta release (1.3.5b)
  * Removed README.Debian bacuse ".local" patch is not applyed anymore

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Thu,  1 Aug 2002 20:19:20 +0200

shorewall (1.3.5-1) unstable; urgency=low

  * New upstream release
  * debian/shorewall.dirs now contains var/state/shorewall, SUBSYSLOCK in
  /etc/shorewall/shorewall.conf must ponit to it (Closes: #154122)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sun, 28 Jul 2002 12:32:19 +0200

shorewall (1.3.3-2) unstable; urgency=low

  * added Uploader field in debian/control

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Tue,  9 Jul 2002 23:56:28 +0200

shorewall (1.3.3-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon,  8 Jul 2002 23:30:58 +0200

shorewall (1.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #149977)
  * /usr/share/shorewall no longer exist, now functions, firewall and version
  are placed in /var/lib/shorewall

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri, 21 Jun 2002 18:34:42 +0200

shorewall (1.3.1-3) unstable; urgency=low

  * moved /etc/shorewall/(functions|firewall) in /usr/share/firewall

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri, 14 Jun 2002 21:38:04 +0200

shorewall (1.3.1-2) unstable; urgency=low

  * patched /etc/shorewall/function to simplify upgrades

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri, 14 Jun 2002 20:12:16 +0200

shorewall (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Wed,  5 Jun 2002 00:14:45 +0200

shorewall (1.2.13-2) unstable; urgency=low

  * fix build-dependencies, shorewall now build-depends on debhelper 
  (Closes: #146914)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sun, 19 May 2002 12:17:27 +0200

shorewall (1.2.13-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sun,  5 May 2002 12:03:17 +0200

shorewall (1.2.12-3) unstable; urgency=low

  * Shorewall depends on iproute (Closes: #144698).
  * Fixed /etc/shorewall/shorewall.conf (thanks to Karl E. Jorgensen
      <karl@jorgensen.com>) (Closes: #145271).

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri,  3 May 2002 01:15:00 +0200

shorewall (1.2.12-2) unstable; urgency=low

  * small fix in shorewall.init script

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sun, 28 Apr 2002 20:49:12 +0200

shorewall (1.2.12-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri, 26 Apr 2002 16:03:41 +0200

shorewall (1.2.11-2) unstable; urgency=low

  * fixed Section and Priority fields in debian/control

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Tue, 16 Apr 2002 15:40:25 +0200

shorewall (1.2.11-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon, 15 Apr 2002 23:14:16 +0200

shorewall (1.2.10-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Wed, 27 Mar 2002 21:44:53 +0100

shorewall (1.2.9-2) unstable; urgency=low

  * Break long lines in control file. (Matthias Klose <doko@debian.org>)
  * Upload to incoming. (Matthias Klose <doko@debian.org>)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Tue, 12 Mar 2002 23:47:32 +0100

shorewall (1.2.9-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Tue, 12 Mar 2002 19:08:37 +0100

shorewall (1.2.8-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri,  1 Mar 2002 01:21:15 +0100

shorewall (1.2.6-1) unstable; urgency=low

  * New version
  * Fix a bug in update-rc.d args

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri, 15 Feb 2002 12:16:58 +0100

shorewall (1.2.5-2) unstable; urgency=low

  * The package is lintian clean

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon,  4 Feb 2002 21:24:31 +0100

shorewall (1.2.5-1) unstable; urgency=low

  * New upstream version
  * Dependencies fix: moved kernel-image-2.4 in Suggests

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sat,  2 Feb 2002 17:03:44 +0100

shorewall (1.2.3-4) unstable; urgency=low

  * Fixed some dependencies: iptables version, moved iproute from Depends to
      Reccomends, added kernel-image-2.4 in Reccomends

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sun, 27 Jan 2002 20:48:45 +0100

shorewall (1.2.3-3) unstable; urgency=low

  * Removed firewall manpage (linked to undocumented)
  * Remoded usr/share/doc/shorewall/html directory (it was empty)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sun, 27 Jan 2002 11:49:28 +0100

shorewall (1.2.3-2) unstable; urgency=low

  * Removed my patch to fix a mistake in shorewall.conf because it's not
      needed any more

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon, 21 Jan 2002 20:18:51 +0100

shorewall (1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Mon, 21 Jan 2002 20:00:29 +0100

shorewall (1.2.2-2) unstable; urgency=low

  * Fixed a little directory mistake in shorewall.conf
  * Created shorewall-doc packages

 -- lorenzo martignoni <lorenzo.martignoni@milug.org>  Sat, 12 Jan 2002 23:40:08 +0100

shorewall (1.2.2-1) unstable; urgency=low

  * New upstream release (1.2.2)

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Fri, 11 Jan 2002 19:43:26 +0100

shorewall (1.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Lorenzo Martignoni <lorenzo.martignoni@milug.org>  Sun, 30 Dec 2001 20:44:47 +0100


